package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum CompanyPaymentAccountTypeEnum {
	/**
	 * 账户类型：1_银行卡；2_支付宝；3_微信
	 */
	BANK_CARD(1, "银行卡"),
	ALIPAY(2, "支付宝"),
	WECHAT(3, "微信");

	@EnumValue
	private final int type;

	private final String message;
}
